%global srcname MutatorMath
# upstream is not consistent on uppercase usage
%global libname mutatorMath
%global pkgname mutatormath

Name:           python-%{pkgname}
Version:        2.0.3
Release:        1%{?dist}
Summary:        Python library for piecewise linear interpolation in multiple dimensions

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/LettError/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
MutatorMath is a Python library for the calculation of piecewise linear
interpolations in n-dimensions with any number of masters. It was developed for
interpolating data related to fonts, but if can handle any arithmetic object.

%package -n python2-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pkgname}}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-ufolib
BuildRequires:  python2-defcon
BuildRequires:  python2-fontMath
Requires: python2-ufolib
Requires: python2-defcon
Requires: python2-fontMath

%description -n python2-%{pkgname}
MutatorMath is a Python library for the calculation of piecewise linear
interpolations in n-dimensions with any number of masters. It was developed for
interpolating data related to fonts, but if can handle any arithmetic object.


%package -n python3-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkgname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-ufolib
BuildRequires:  python3-defcon
BuildRequires:  python3-fontMath
Requires: python3-ufolib
Requires: python3-defcon
Requires: python3-fontMath

%description -n python3-%{pkgname}
MutatorMath is a Python library for the calculation of piecewise linear
interpolations in n-dimensions with any number of masters. It was developed for
interpolating data related to fonts, but if can handle any arithmetic object.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{pkgname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{libname}
%{python2_sitelib}/%{srcname}-*.egg-info

%files -n python3-%{pkgname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{libname}
%{python3_sitelib}/%{srcname}-*.egg-info

%changelog
* Sun Mar 19 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 2.0.3-1
- Initial package
